Error
A valid request URL is required to generate request examples{
"success": true,
"generation": {
"id": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lyrics": "<string>",
"prompt": "<string>",
"model": "<string>",
"outputFormat": "<string>",
"error": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"outputAsset": {}
}
}{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}Music generator
Get generation
Fetch a single music generation by ID, including status, lyrics, style prompt, and finished audio tracks with stream and download URLs.
GET
/
music-generations
/
{generationId}
Error
A valid request URL is required to generate request examples{
"success": true,
"generation": {
"id": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lyrics": "<string>",
"prompt": "<string>",
"model": "<string>",
"outputFormat": "<string>",
"error": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"outputAsset": {}
}
}{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}Returns one music generation record including
outputAsset when complete.
GET /music-generations/{generationId}
Path parameters
string
required
Generation ID from the create response.
Example
curl "https://mvp.tryunsora.com/api/v1/music-generations/cm123abc" \
-H "Authorization: Bearer uns_YOUR_API_KEY"

